Skip to main content
GET
/
bots
/
{botId}
/
templates
List bot templates
curl --request GET \
  --url https://api.helloannie.com/v1/bots/{botId}/templates
import requests

url = "https://api.helloannie.com/v1/bots/{botId}/templates"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.helloannie.com/v1/bots/{botId}/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "templates": [
      {
        "templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "templateName": "<string>",
        "templateDescription": "<string>",
        "templateOrgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "isInternallyManaged": true,
        "appliedTemplateVersion": 123,
        "currentTemplateVersion": 123,
        "appliedAt": "2023-11-07T05:31:56Z",
        "workflow": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "enabled": true
        },
        "variables": [
          {
            "name": "<string>",
            "value": "<unknown>",
            "orgVariableSource": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        ]
      }
    ]
  }
}
{
"success": false,
"data": {},
"message": "<string>"
}
{
"success": false,
"data": {},
"message": "<string>"
}

Path Parameters

botId
string<uuid>
required

The ID of the bot whose applied templates should be listed

Response

Response containing templates currently applied to a bot

success
enum<boolean>
required
Available options:
true
data
object
required